#ifndef _OUT_S2_H
#define _OUT_S2_H

#include <stdint.h>

// here the scal1 input map has some issues

const uint8_t S2_output[4][14][14] =
    {
        {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 136, 184, 192, 200, 200, 200, 176, 136, 0, 0, 0, 0, 0},
         {0, 0, 144, 152, 160, 168, 184, 200, 200, 184, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 136, 144, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 144, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 144, 144, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 160, 152, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 152, 152, 144, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 144, 144, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 144, 168, 160, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 184, 184, 136, 0, 0, 0, 0, 0, 0}},

        {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 136, 216, 240, 240, 224, 200, 184, 160, 136, 0, 0, 0, 0},
         {0, 136, 240, 248, 248, 248, 248, 248, 248, 248, 184, 0, 0, 0},
         {0, 0, 136, 144, 152, 160, 184, 216, 248, 248, 248, 136, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 152, 248, 248, 136, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 216, 248, 232, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 168, 248, 248, 176, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 152, 248, 248, 224, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 240, 248, 248, 144, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 192, 248, 248, 168, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 136, 248, 248, 216, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 136, 216, 216, 136, 0, 0, 0, 0, 0, 0}},

        {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 144, 144, 144, 144, 136, 136, 0, 0, 0, 0, 0},
         {0, 0, 144, 184, 176, 176, 168, 176, 168, 160, 168, 0, 0, 0},
         {0, 0, 0, 144, 136, 152, 152, 168, 160, 176, 200, 136, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 152, 208, 144, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 208, 208, 136, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 160, 208, 184, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 136, 208, 208, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 208, 208, 152, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 176, 208, 176, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 136, 200, 200, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 152, 184, 144, 0, 0, 0, 0, 0, 0}},

        {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}}};

const uint8_t S4_output[8][6][6] =
    {
        {{140, 140, 0, 148, 0, 0},
         {184, 0, 0, 0, 168, 0},
         {152, 0, 136, 204, 240, 0},
         {0, 0, 0, 244, 228, 0},
         {0, 0, 244, 244, 0, 0},
         {0, 0, 244, 168, 0, 0}},

        {{0, 52, 52, 0, 0, 0},
         {124, 152, 152, 144, 140, 52},
         {0, 0, 0, 0, 0, 44},
         {0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0}},

        {{0, 0, 0, 180, 0, 0},
         {0, 0, 0, 0, 240, 0},
         {0, 0, 0, 0, 224, 200},
         {0, 0, 0, 220, 28, 192},
         {0, 0, 0, 28, 240, 0},
         {0, 0, 220, 200, 0, 0}},

        {{88, 140, 140, 136, 56, 0},
         {0, 0, 0, 128, 144, 56},
         {84, 104, 104, 76, 0, 0},
         {0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0}},

        {{228, 0, 0, 0, 0, 0},
         {236, 0, 0, 0, 0, 0},
         {0, 0, 0, 196, 0, 176},
         {0, 0, 240, 220, 0, 240},
         {0, 184, 236, 0, 252, 192},
         {0, 236, 0, 252, 240, 0}},

        {{0, 0, 0, 0, 0, 0},
         {252, 100, 100, 88, 0, 0},
         {0, 0, 64, 100, 76, 0},
         {0, 0, 0, 0, 0, 0},
         {0, 0, 0, 0, 0, 0},
         {0, 248, 12, 252, 0, 0}},

        {{116, 148, 144, 116, 0, 0},
         {108, 164, 164, 164, 152, 84},
         {0, 0, 0, 0, 0, 68},
         {0, 0, 84, 0, 0, 0},
         {0, 0, 76, 0, 0, 0},
         {0, 76, 0, 0, 0, 0}},

        {{0, 0, 0, 0, 0, 0},
         {100, 112, 112, 112, 112, 0},
         {0, 0, 0, 48, 56, 0},
         {0, 0, 4, 0, 0, 0},
         {0, 0, 8, 0, 0, 0},
         {0, 16, 20, 8, 0, 0}}};

#endif